[pacman-dev] [PATCH] makepkg: Place source packages symlinks in build dir when SRCPKGDEST is used
Eric Bélanger
snowmaniscool at gmail.com
Wed Jun 23 01:35:56 EDT 2010
Signed-off-by: Eric Bélanger <snowmaniscool at gmail.com>
---
scripts/makepkg.sh.in | 12 +++++++++++-
1 files changed, 11 insertions(+), 1 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index dbc4047..0219015 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -153,7 +153,7 @@ clean_up() {
# clean up dangling symlinks to packages
for pkg in ${pkgname[@]}; do
- for file in ${pkg}-*-*-${CARCH}${PKGEXT}; do
+ for file in ${pkg}-*-*-${CARCH}${PKGEXT} ${pkg}-*-*-${CARCH}${SRCEXT}; do
if [[ -h $file && ! -e $file ]]; then
rm -f $file
fi
@@ -1126,6 +1126,16 @@ create_srcpackage() {
error "$(gettext "Failed to create source package file.")"
exit 1 # TODO: error code
fi
+
+ if (( ! ret )) && [[ "$SRCPKGDEST" != "${startdir}" ]]; then
+ ln -sf "${pkg_file}" "${pkg_file/$SRCPKGDEST/$startdir}"
+ ret=$?
+ fi
+
+ if (( ret )); then
+ warning "$(gettext "Failed to create symlink to source package file.")"
+ fi
+
cd "${startdir}"
rm -rf "${srclinks}"
}
--
1.7.1
More information about the pacman-dev
mailing list